﻿@using Jb.Framework.Common.Forms
@model IJbBaseElement

<table style="width:100%">
    <tr>
        @if (Model.GetType().Name == "JbSignature")
            {
            <td style="width:20%;font-weight: bold;">@Model.Title:</td>
            <td>
                <div id="@Model.ElementId">Not signed</div>
                <img id="Image_@Model.ElementId" />
            </td>
        }
        else if (Model.GetType().Name == "JbTextEditor")
        {
            @Html.Raw(Model.GetValue())
        }
        else if (Model.GetType().Name == "JbUpload")
        {
            <td style="width:80%;font-weight: bold;">@Model.Title</td>
            <td>
                <a class="button info place-right" href="@Model.GetValue()" download>Download</a>
            </td>
        }
        else
        {
            <td style="width:20%;font-weight: bold;">@Model.Title:</td>
            <td>
                @(Model.GetValue() == null ? string.Empty : Model.GetValue().ToString())
            </td>
        }
    </tr>
</table>

@if (Model.GetType().Name == "JbSignature" && Model.GetValue() != null)
{
    <text>
        <script src="~/Scripts/Libraries/jSignature/jSignature.min.js"></script>
    </text>

    <script>
        var data = $("#" + "@Model.ElementId").text("").jSignature({
            lineWidth: 1,
            height: 120,
        }).jSignature("setData", "@(Model.GetValue())", "base30").hide(0).jSignature("getData");
        $("#Image_@Model.ElementId").attr("src", data);
    </script>
}